RTAI

Arne Linder alinder at uni-wuppertal.de
Mon Oct 11 09:42:38 CEST 2004


Hello Panagiotis,

Panagiotis Issaris schrieb:

> Arne Linder wrote:
> 
>> Philippe Gerum schrieb:
>>> [...]
>>>
>>> Assuming that your glibc features the NPTL, is there any change with
>>> LD_ASSUME_KERNEL="2.4.18" set in your environment before running the
>>> testsuite ?
>>
>> Since we are using glibc 2.3.3 it should support NPTL, but the error 
>> message is the same. Both with LD_ASSUME_KERNEL="2.4.18" and 
>> LD_ASSUME_KERNEL="2.6.8.1", which we used for our last tests. It is 
>> the same than without setting LD_ASSUME_KERNEL.
> 
> Just to be sure, when using ldd you should see a difference when setting 
> the LD_ASSUME_KERNEL variable.
> Specifically, the libraries with NPTL are located in /lib/tls while the 
> others are located in /lib.
> 
> pissaris at C080:~$ ldd /usr/bin/valgrind-listener
>                libc.so.6 => /lib/tls/libc.so.6 (0x40040000)
>        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
> pissaris at C080:~$ LD_ASSUME_KERNEL=2.4.18 ldd /usr/bin/valgrind-listener
>                libc.so.6 => /lib/libc.so.6 (0x40040000)
>        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
> 
> With friendly regards,
> Takis
> 

In our installation there is no directory /lib/tls existent. I also did 
a "find . -name libc.so.6" and only one file in /lib was found. Hence it 
seems, that NPTL is *not* supported in our installation. Sorry for the 
misinformation.

But since the problem seems to be solved by using kernel 2.6.7 together 
with the hal6 patch, there is no need to dig deeper here, I think.

Best regards

Arne Linder


-- 
Dipl.-Ing. Arne Linder
Electrical Machines and Drives
Faculty of Electrical, Information and Media Engineering
Wuppertal University
D-42097 Wuppertal
e-mail: alinder at uni-wuppertal.de





More information about the Rtai mailing list